Coin: SbIntList Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Public Member Functions | List of all members
SbIntList Class Reference
Base Classes

The SbIntList class is a container for integer numbers. More...

`#include <Inventor/lists/SbIntList.h>`

Inheritance diagram for SbIntList:

## Public Member Functions
| SbIntList (void)
| SbIntList (const int sizehint)
void | append (const int item)
int | find (const int item)
void | insert (const int item, const int addbefore)
int & | operator[] (const int idx) const
Public Member Functions inherited from SbPList
| SbPList (const int sizehint=DEFAULTSIZE)
| SbPList (const SbPList &l)
| ~SbPList ()
void | copy (const SbPList &l)
SbPList & | operator= (const SbPList &l)
void | fit (void)
void | append (void *item)
int | find (const void *item) const
void | insert (void *item, const int insertbefore)
void | removeItem (void *item)
void | remove (const int index)
void | removeFast (const int index)
int | getLength (void) const
void | truncate (const int length, const int fit=0)
void ** | getArrayPtr (const int start=0) const
void *& | operator[] (const int index) const
int | operator== (const SbPList &l) const
int | operator!= (const SbPList &l) const
void * | get (const int index) const
void | set (const int index, void *item)

## Additional Inherited Members
Protected Member Functions inherited from SbPList
void | expand (const int size)
int | getArraySize (void) const

## Detailed Description

The SbIntList class is a container for integer numbers.

See also
  SbList

## Constructor & Destructor Documentation

## ◆ SbIntList() [1/2]

SbIntList::SbIntList | ( | void |  | ) |
| inline

Default constructor.

## ◆ SbIntList() [2/2]

SbIntList::SbIntList | ( | const int | sizehint | ) |
| inline

This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

See also
  SbList::SbList(const int sizehint)

## Member Function Documentation

## ◆ append()

void SbIntList::append | ( | const int | item | ) |
| inline

Overridden from parent to accept an integer argument.

## ◆ find()

int SbIntList::find | ( | const int | item | ) |
| inline

Overridden from parent to accept an integer argument.

## ◆ insert()

void SbIntList::insert | ( | const int | item,
|  | const int | addbefore )
| inline

Overridden from parent to accept an integer argument.

## ◆ operator[]()

int & SbIntList::operator[] | ( | const int | idx | ) | const
| inline

Overridden from parent to return an integer.

The documentation for this class was generated from the following files:

- SbIntList.h
- SbIntList.cpp